org.apache.cassandra.cql3.statements

## Class CreateUserStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.AuthenticationStatement
    - - org.apache.cassandra.cql3.statements.CreateUserStatement

All Implemented Interfaces:
  CQLStatement

    public class CreateUserStatement
    extends AuthenticationStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Constructor Summary

Constructors
Constructor and Description
`CreateUserStatement(java.lang.String username, UserOptions opts, boolean superuser)`

### Method Summary

Methods
`void` `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
`ResultMessage` `execute(ClientState state)`
`void` `validate(ClientState state)` Perform additional validation required by the statment.

### Methods inherited from class org.apache.cassandra.cql3.statements.AuthenticationStatement

`execute, executeInternal, getBoundTerms, prepare`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateUserStatement

    public CreateUserStatement(java.lang.String username,
                       UserOptions opts,
                       boolean superuser)

### Method Detail

#### validate

    public void validate(ClientState state)
                  throws RequestValidationException

Description copied from interface: `CQLStatement`
Perform additional validation required by the statment. To be overriden by subclasses if needed.

Parameters:
  `state` - the current client state
Throws:
  `RequestValidationException`

#### checkAccess

    public void checkAccess(ClientState state)
                     throws UnauthorizedException

Description copied from interface: `CQLStatement`
Perform any access verification necessary for the statement.

Parameters:
  `state` - the current client state
Throws:
  `UnauthorizedException`

#### execute

    public ResultMessage execute(ClientState state)
                          throws RequestValidationException,
                                 RequestExecutionException

Specified by:
  `execute` in class `AuthenticationStatement`
Throws:
  `RequestValidationException`
  `RequestExecutionException`